Name:		rednotebook
Version:	2.21
Release:	%mkrel 1
Summary:	Daily journal with calendar, templates and keyword searching
Group:		Office/Utilities
License:	GPLv2+
URL:		http://rednotebook.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3dist(setuptools)
BuildRequires:	desktop-file-utils

Requires:	python3dist(pyyaml)
Requires:	python3dist(pygobject)
Requires:	python3dist(chardet)
Recommends:	python3dist(pyenchant)
Recommends:	python3dist(pygtkspellcheck)

%description
RedNotebook is a modern desktop journal. It lets you format, tag and
search your entries. You can also add pictures, links and customizable
templates, spell check your notes, and export to plain text, HTML,
Latex or PDF.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

desktop-file-install \
	--add-category="Calendar" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 15 2020 daviddavid <daviddavid> 2.21-1.mga8
+ Revision: 1657630
- new version: 2.21

* Tue Aug 04 2020 daviddavid <daviddavid> 2.20-1.mga8
+ Revision: 1610869
- new version: 2.20

* Wed Jul 22 2020 ovitters <ovitters> 2.19-2.mga8
+ Revision: 1608022
- rebuild for get rid of pythonegg requires

* Tue May 19 2020 daviddavid <daviddavid> 2.19-1.mga8
+ Revision: 1586127
- new version: 2.19

* Sat May 09 2020 wally <wally> 2.18-2.mga8
+ Revision: 1582261
- rebuild for updated python deps

* Thu Mar 19 2020 daviddavid <daviddavid> 2.18-1.mga8
+ Revision: 1557912
- new version: 2.18

* Tue Feb 25 2020 daviddavid <daviddavid> 2.17-1.mga8
+ Revision: 1550247
- new version: 2.17

* Thu Feb 20 2020 umeabot <umeabot> 2.16-2.mga8
+ Revision: 1545412
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 2.16-1.mga8
+ Revision: 1484676
- new version: 2.16

* Sun Dec 08 2019 daviddavid <daviddavid> 2.15-1.mga8
+ Revision: 1465142
- new version: 2.15

* Wed Nov 20 2019 daviddavid <daviddavid> 2.14-1.mga8
+ Revision: 1461797
- new version: 2.14

* Fri Nov 08 2019 daviddavid <daviddavid> 2.13-1.mga8
+ Revision: 1458810
- new version: 2.13

* Sat Sep 14 2019 daviddavid <daviddavid> 2.11.1-2.mga8
+ Revision: 1440821
- rebuild for python3.8

* Tue Apr 09 2019 daviddavid <daviddavid> 2.11.1-1.mga7
+ Revision: 1387293
- new version: 2.11.1

* Wed Apr 03 2019 daviddavid <daviddavid> 2.11-1.mga7
+ Revision: 1385494
- new version: 2.11

* Tue Mar 26 2019 daviddavid <daviddavid> 2.10-1.mga7
+ Revision: 1380226
- new version: 2.10

* Thu Mar 21 2019 daviddavid <daviddavid> 2.9.1-1.mga7
+ Revision: 1379360
- new version: 2.9.1

* Mon Mar 18 2019 daviddavid <daviddavid> 2.9-1.mga7
+ Revision: 1378709
- new version: 2.9

* Mon Jan 07 2019 daviddavid <daviddavid> 2.8-2.mga7
+ Revision: 1351039
- rebuild for new Python 3.7

* Sat Nov 17 2018 daviddavid <daviddavid> 2.8-1.mga7
+ Revision: 1330302
- new version: 2.8

* Thu Nov 15 2018 daviddavid <daviddavid> 2.7.1-1.mga7
+ Revision: 1329972
- new version: 2.7.1

* Thu Nov 08 2018 daviddavid <daviddavid> 2.7-1.mga7
+ Revision: 1328928
- new version: 2.7

* Wed Oct 10 2018 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1319218
- new version: 2.6.1

* Fri Sep 21 2018 umeabot <umeabot> 2.5-2.mga7
+ Revision: 1290762
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 2.5-1.mga7
+ Revision: 1236244
- new version: 2.5

* Fri Mar 09 2018 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1207503
- new version: 2.4

* Thu Sep 28 2017 daviddavid <daviddavid> 2.3-1.mga7
+ Revision: 1161035
- new version: 2.3

* Tue Sep 12 2017 daviddavid <daviddavid> 2.2-1.mga7
+ Revision: 1153211
- new version: 2.2

* Fri Aug 11 2017 daviddavid <daviddavid> 2.1.5-1.mga7
+ Revision: 1139698
- new version: 2.1.5

* Mon Aug 07 2017 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1138263
- new version: 2.1.3

* Sat Aug 05 2017 daviddavid <daviddavid> 2.1.2-2.mga7
+ Revision: 1135045
- rebuild for new Python 3.6

* Thu Aug 03 2017 daviddavid <daviddavid> 2.1.2-1.mga7
+ Revision: 1134239
- new version: 2.1.2
- port to Python 3 and GTK 3

* Wed Apr 26 2017 akien <akien> 1.15-1.mga6
+ Revision: 1097578
- Version 1.15

* Sat Oct 01 2016 daviddavid <daviddavid> 1.14-2.mga6
+ Revision: 1058032
- increase release tag compared to that of mga5

* Sat Oct 01 2016 daviddavid <daviddavid> 1.14-1.mga6
+ Revision: 1058017
- imported package rednotebook (thanks to Fabien Deschodt)

